clang-tools 10.0.0

Public Member Functions | Static Public Member Functions | List of all members
clang::include_fixer::YamlSymbolIndex Class Reference

Yaml format database. More...

`#include <YamlSymbolIndex.h>`

Inheritance diagram for clang::include_fixer::YamlSymbolIndex:
[legend]
Collaboration diagram for clang::include_fixer::YamlSymbolIndex:
[legend]

## Public Member Functions
std::vector< find_all_symbols::SymbolAndSignals > | search (llvm::StringRef Identifier) override
| Search for all `SymbolInfo`s corresponding to an identifier. More...
Public Member Functions inherited from clang::include_fixer::SymbolIndex
virtual | ~SymbolIndex ()=default

## Static Public Member Functions
static llvm::ErrorOr< std::unique_ptr< YamlSymbolIndex > > | createFromFile (llvm::StringRef FilePath)
| Create a new Yaml db from a file. More...
static llvm::ErrorOr< std::unique_ptr< YamlSymbolIndex > > | createFromDirectory (llvm::StringRef Directory, llvm::StringRef Name)
| Look for a file called `Name` in `Directory` and all parent directories. More...

## Detailed Description

Yaml format database.

Definition at line 22 of file YamlSymbolIndex.h.

## Member Function Documentation

## ◆ createFromDirectory()

llvm::ErrorOr< std::unique_ptr< YamlSymbolIndex > > clang::include_fixer::YamlSymbolIndex::createFromDirectory | ( | llvm::StringRef | Directory,
|  | llvm::StringRef | Name
| ) |  |
| static

Look for a file called `Name` in `Directory` and all parent directories.

Definition at line 35 of file YamlSymbolIndex.cpp.

References createFromFile().

## ◆ createFromFile()

llvm::ErrorOr< std::unique_ptr< YamlSymbolIndex > > clang::include_fixer::YamlSymbolIndex::createFromFile | ( | llvm::StringRef | FilePath | ) |
| static

Create a new Yaml db from a file.

Definition at line 25 of file YamlSymbolIndex.cpp.

References clang::find_all_symbols::ReadSymbolInfosFromYAML().

Referenced by createFromDirectory().

## ◆ search()

std::vector< SymbolAndSignals > clang::include_fixer::YamlSymbolIndex::search | ( | llvm::StringRef | Identifier | ) |
| override virtual

Search for all `SymbolInfo`s corresponding to an identifier.

Parameters

  Identifier | The unqualified identifier being searched for.

Returns
  A list of `SymbolInfo` candidates.

Implements clang::include_fixer::SymbolIndex.

Definition at line 50 of file YamlSymbolIndex.cpp.

References Results.

The documentation for this class was generated from the following files:

- YamlSymbolIndex.h
- YamlSymbolIndex.cpp